Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSNavigableNode

All Known Implementing Classes:
  AbstractElement, BatikHistogramNormalizationElement, BatikRegularPolygonElement, BatikStarElement, BindableElement, ColorSwitchElement, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, GraphicsExtensionElement, PrefixableStylableExtensionElement, StylableExtensionElement, SVGDescriptiveElement, SVGGraphicsElement, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMUseShadowRoot, SVGOMViewElement, SVGOMVKernElement, SVGPointShapeElement, SVGStylableElement, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface CSSNavigableNode

An interface for DOM classes that can be navigated for CSS selector matching and cascade computation.

Method Summary
`Node` | `getCSSFirstChild()` Returns the CSS first child node of this node.
`Node` | `getCSSLastChild()` Returns the CSS last child of this node.
`Node` | `getCSSNextSibling()` Returns the CSS next sibling node of this node.
`Node` | `getCSSParentNode()` Returns the CSS parent node of this node.
`Node` | `getCSSPreviousSibling()` Returns the CSS previous sibling node of this node.
`boolean` | `isHiddenFromSelectors()` Returns whether this node is the root of a (conceptual) hidden tree that selectors will not work across.

Method Detail

### getCSSParentNode

    Node getCSSParentNode()

  Returns the CSS parent node of this node.

### getCSSPreviousSibling

    Node getCSSPreviousSibling()

  Returns the CSS previous sibling node of this node.

### getCSSNextSibling

    Node getCSSNextSibling()

  Returns the CSS next sibling node of this node.

### getCSSFirstChild

    Node getCSSFirstChild()

  Returns the CSS first child node of this node.

### getCSSLastChild

    Node getCSSLastChild()

  Returns the CSS last child of this node.

### isHiddenFromSelectors

    boolean isHiddenFromSelectors()

  Returns whether this node is the root of a (conceptual) hidden tree that selectors will not work across.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.